﻿main();

function main() {
	var s = "";
	var t = "";
	for (var n = 1; n < 5000; n+=1) {
		 t = getNumberString(n) + "\r";
		s += t;
	}
	var dt = Folder.desktop.fullName;
	var f = File(dt + "/numbers.txt");
	f.open("w");
	f.write(s);
	f.close;
}

function getNumberString(n) {
	var s ="";
	var zehndrei = n % 1000;
	var zehnsechs = Math.floor((n - zehndrei) / 1000) % 1000;
	var zehnneun = Math.floor((n - zehndrei - (zehnsechs * 1000) ) / 1000000 ) % 1000;
	if (zehnneun > 0) {
		var t = getStringBelow1000(zehnneun);
		if (t == "eins") { s += "einemillion"} else { s = s + t + "millionen" }
	}
	if (zehnsechs > 0) {
		var t = getStringBelow1000(zehnsechs);
		if (t == "eins") { s += "eintausend"} else { s = s + t + "tausend" }
	}
	s = s + getStringBelow1000(zehndrei);
	return s;
}

function getStringBelow1000(n) {
	var hStrings = new Array();
	hStrings = ["", "ein", "zwei", "drei", "vier", "fünf", "sechs", "sieben", "acht", "neun"];
	var zStrings = new Array();
	zStrings = ["", "zehn", "zwanzig", "dreißig", "vierzig", "fünfzig", "sechszig", "siebzig", "achtzig", "neunzig"];
	var einer = n % 10;
	var zehner = Math.floor(n / 10) % 10;
	var hunderter = Math.floor(n / 100) % 10;
	var s = "";
	if (einer == 0 && zehner == 0) {
		s = "";
	} else if (einer == 1 && zehner == 0) {
		s = "eins";
	} else if (einer > 1 && zehner == 0) {
		s = hStrings[einer];
	} else if ( zehner == 1) {
		if (einer == 1) {
			s = "elf";
		} else if (einer == 2) {
			s = "zwölf";
		} else if (einer  == 7) {
			s = "siebzehn";
		} else {
			s = hStrings[einer] + "zehn";
		}
	} else if (einer == 0 && zehner > 0) {
		s = zStrings[zehner];
	} else {
		s = hStrings[einer] + "und" + zStrings[zehner];
	}
	if (hunderter > 0) { 
		if (s == "") {
			s = hStrings[hunderter] + "hundert"; 
		} else {
			s = hStrings[hunderter] + "hundertund" + s; 
		}
	}
	return s;
}